XPlanner

Docs

List X accounts with permission

Lists the X accounts that the API key can access without returning credentials. Selected account keys will only see allowed accounts.


GET

/accounts

accounts:read

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Listing behavior

sıralama

createdAt desc

Accounts are sorted by connection date, newest to oldest.

kimlik bilgileri

does not return

Account credentials such as OAuth token, refresh token or secret are not included in the response.

Cevaplar

200

Allowed X accounts.

cURL

curl https://api.xplanner.co/v1/accounts \  -H "Authorization: Bearer $XPLANNER_API_KEY"

Cevap

{  "data": [    {      "id": "acc_123",      "workspaceId": "wrk_123",      "username": "xplanner",      "name": "XPlanner",      "xUserId": "123456789",      "authVersion": "2.0",      "bio": "XPlanner ürün hesabı",      "profileImageUrl": "https://pbs.twimg.com/profile_images/...",      "followersCount": 1200,      "followingCount": 80,      "postCount": 340,      "verified": false,      "verifiedType": "none",      "lastProfileSyncAt": "2026-05-15T08:30:00.000Z",      "createdAt": "2026-01-10T12:00:00.000Z",      "updatedAt": "2026-05-15T08:30:00.000Z"    }  ],  "requestId": "req_123"}